package com.zhongshu.card.client.model.org;

import com.github.microservice.auth.security.type.AuthType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * 机构数据 最简单的模型
 *
 * @author TRX
 * @date 2024/5/31
 */
@Data
public class OrganizationMiniModel {

    @Schema(description = "数据ID")
    private String id;

    @Schema(description = "机构oid")
    private String oid;

    @Schema(description = "机构名称")
    private String name;

    @Schema(description = "编码、项目ID、机构编号")
    private String code;

    @Schema(description = "机构类型")
    private AuthType authType = AuthType.Enterprise;

    private String authTypeStr;

    public String getAuthTypeStr() {
        if (authType != null) {
            return authType.getRemark();
        }
        return "";
    }
}
